<nz-modal [nzTitle]="data.id?'编辑角色':'新建角色'" [nzVisible]="isVisible" (nzOnCancel)="close()"
    [nzOkLoading]="loading" [nzCancelLoading]="loading" [nzOkDisabled]="!data.name||!data.department_id"
    (nzOnOk)="onOk()">
    <ng-template nzModalContent>
        <div>
            <app-input label="名字" [(value)]="data.name"></app-input>
        </div>
        <div style="margin-top: 5px;">
            <app-department-select [(value)]="data.department_id"></app-department-select>
        </div>
    </ng-template>
</nz-modal>